## gst-python1.0 1.14.0

=== meson_options.txt ===
option('pygi-overrides-dir', type : 'string', value : '',
        description: 'Path to pygobject overrides directory')

## gst-python1.0 1.2.0

=== debian/changelog ===
gst-python1.0 (1.2.0-1) unstable; urgency=medium

  * New upstream stable release.
  * debian/rules,
    debian/patches/0001-Fix-extension-of-native-Python-module.patch:
    + Fix filename of the debug Python module (Closes: #728447, #737544).

 -- Sebastian Dröge <slomo@debian.org>  Sat, 29 Mar 2014 11:37:57 +0100

gst-python1.0 (1.1.90-1) experimental; urgency=low

  * Initial upload.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 30 Sep 2013 11:59:10 +0200

=== debian/control ===
Source: gst-python1.0
Section: python
Priority: optional
Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
Uploaders: Sebastian Dröge <slomo@debian.org>
Build-Depends: debhelper (>= 9),
               dpkg-dev (>= 1.16.1~),
               dh-autoreconf,
               pkg-config,
               libgstreamer1.0-dev (>= 1.2.0),
               gir1.2-gstreamer-1.0 (>= 1.2.0),
               python-gi-dev (>= 3.0),
               python-all-dev (>= 2.6.6-3~),
               python3-all-dev,
               python-all-dbg,
               python3-all-dbg,
               python-gi-dbg,
               python3-gi-dbg    
Standards-Version: 3.9.4
X-Python-Version: >= 2.5
Homepage: http://gstreamer.freedesktop.org

Package: python-gst-1.0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${python:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python-gi (>= 3.0),
         gir1.2-glib-2.0
Provides: ${python:Provides}
Description: GStreamer GObject Introspection overrides for Python
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains GObject Introspection overrides for Python that
 can be used by Python applications using GStreamer.

Package: python3-gst-1.0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${python:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python3-gi (>= 3.0),
         gir1.2-glib-2.0
Provides: ${python:Provides}
Description: GStreamer GObject Introspection overrides for Python (Python 3)
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains GObject Introspection overrides for Python that
 can be used by Python applications using GStreamer.

Package: python-gst-1.0-dbg
Architecture: any
Priority: extra
Section: debug
Pre-Depends: ${misc:Pre-Depends}
Depends: ${python:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python-gst-1.0 (= ${binary:Version})
Provides: ${python:Provides}
Description: GStreamer GObject Introspection overrides for Python (debug extensions)
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains GObject Introspection overrides for Python that
 can be used by Python applications using GStreamer.

Package: python3-gst-1.0-dbg
Architecture: any
Priority: extra
Section: debug
Pre-Depends: ${misc:Pre-Depends}
Depends: ${python:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python3-gst-1.0 (= ${binary:Version})
Provides: ${python:Provides}
Description: GStreamer GObject Introspection overrides for Python (Python 3, debug extensions)
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains GObject Introspection overrides for Python that
 can be used by Python applications using GStreamer.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk
include /usr/share/python/python.mk

PYVERS := $(shell pyversions --requested -v debian/control) $(shell py3versions --supported -v)
FLAVOURS := $(PYVERS) $(patsubst %,%-dbg,$(PYVERS))

configure_flags += \
		--disable-silent-rules \
		$(NULL)

%:
	dh $@ --with python2,python3,autoreconf

override_dh_auto_configure:
	set -e && for x in $(FLAVOURS); do \
	    dh_auto_configure --builddirectory=build-$$x -- PYTHON=/usr/bin/python$$x $(configure_flags); \
	done

override_dh_auto_build:
	set -e && for x in $(FLAVOURS); do \
	    dh_auto_build --builddirectory=build-$$x; \
	done

override_dh_auto_install:
	set -e && for x in $(FLAVOURS); do \
	    INST=debian/install-`echo $$x | sed 's/\.[0-9]*//'`; \
	    dh_auto_install --builddirectory=build-$$x --destdir=$$INST; \
	    find $$INST \( -name '*.pyc' -o -name '*.pyo' -o -name '*.la' \) -delete; \
	done

override_dh_auto_clean:
	rm -rf build-*
	dh_auto_clean

override_dh_strip:
	dh_strip -ppython-gst-1.0 --dbg-package=python-gst-1.0-dbg
	dh_strip -ppython3-gst-1.0 --dbg-package=python3-gst-1.0-dbg
	dh_strip --remaining-packages

override_dh_install:
	dh_install -ppython-gst-1.0 --sourcedir=debian/install-2
	dh_install -ppython-gst-1.0-dbg --sourcedir=debian/install-2-dbg
	dh_install -ppython3-gst-1.0 --sourcedir=debian/install-3
	dh_install -ppython3-gst-1.0-dbg --sourcedir=debian/install-3-dbg

## gst-python1.0 1.2.1

=== debian/changelog ===
gst-python1.0 (1.2.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix python3 related substition variables in debian/control so proper
    depends are generate (Closes: #750611)
  * Drop obsolete provides

 -- Scott Kitterman <scott@kitterman.com>  Fri, 13 Jun 2014 10:10:47 -0400

gst-python1.0 (1.2.1-1) unstable; urgency=medium

  * New upstream bugfix release, fixing Python 3 compatiblity problems.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 26 Apr 2014 11:46:44 +0200

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,6 @@
          ${misc:Depends},
          python-gi (>= 3.0),
          gir1.2-glib-2.0
-Provides: ${python:Provides}
 Description: GStreamer GObject Introspection overrides for Python
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do
@@ -43,12 +42,11 @@
 Package: python3-gst-1.0
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${python:Depends},
+Depends: ${python3:Depends},
          ${shlibs:Depends},
          ${misc:Depends},
          python3-gi (>= 3.0),
          gir1.2-glib-2.0
-Provides: ${python:Provides}
 Description: GStreamer GObject Introspection overrides for Python (Python 3)
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do
@@ -69,7 +67,6 @@
          ${shlibs:Depends},
          ${misc:Depends},
          python-gst-1.0 (= ${binary:Version})
-Provides: ${python:Provides}
 Description: GStreamer GObject Introspection overrides for Python (debug extensions)
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do
@@ -86,11 +83,10 @@
 Priority: extra
 Section: debug
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${python:Depends},
+Depends: ${python3:Depends},
          ${shlibs:Depends},
          ${misc:Depends},
          python3-gst-1.0 (= ${binary:Version})
-Provides: ${python:Provides}
 Description: GStreamer GObject Introspection overrides for Python (Python 3, debug extensions)
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do

## gst-python1.0 1.4.0

=== debian/changelog ===
gst-python1.0 (1.4.0-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/control: Update python dependency to >= 2.7 (Closes: #753429).
  * debian/rules: Drop GStreamer python plugin for now (Closes: #769171).
    + Nothing is using it currently and it's not clear how this should
      be properly handled without making all 4 binary packages conflict
      with each other.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 13 May 2015 12:05:17 +0300

gst-python1.0 (1.4.0-1) experimental; urgency=medium

  * New upstream stable release:
    + debian/control:
      - Update (build-) depends on GStreamer.
      - Add missing dependencies for the GStreamer GIR packages.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 10 Nov 2014 16:26:55 +0100

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,19 @@
                dpkg-dev (>= 1.16.1~),
                dh-autoreconf,
                pkg-config,
-               libgstreamer1.0-dev (>= 1.2.0),
-               gir1.2-gstreamer-1.0 (>= 1.2.0),
+               libgstreamer1.0-dev (>= 1.4.0),
+               libgstreamer-plugins-base1.0-dev (>= 1.4.0),
+               gir1.2-gstreamer-1.0 (>= 1.4.0),
+               gir1.2-gst-plugins-base-1.0 (>= 1.4.0),
                python-gi-dev (>= 3.0),
-               python-all-dev (>= 2.6.6-3~),
+               python-all-dev (>= 2.7),
                python3-all-dev,
                python-all-dbg,
                python3-all-dbg,
                python-gi-dbg,
-               python3-gi-dbg    
+               python3-gi-dbg
 Standards-Version: 3.9.4
-X-Python-Version: >= 2.5
+X-Python-Version: >= 2.7
 Homepage: http://gstreamer.freedesktop.org
 
 Package: python-gst-1.0
@@ -27,7 +29,10 @@
          ${shlibs:Depends},
          ${misc:Depends},
          python-gi (>= 3.0),
-         gir1.2-glib-2.0
+         gir1.2-glib-2.0,
+         gir1.2-gstreamer-1.0 (>= 1.4.0),
+         gir1.2-gst-plugins-base-1.0 (>= 1.4.0)
+Provides: ${python:Provides}
 Description: GStreamer GObject Introspection overrides for Python
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do
@@ -42,11 +47,14 @@
 Package: python3-gst-1.0
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${python3:Depends},
+Depends: ${python:Depends},
          ${shlibs:Depends},
          ${misc:Depends},
          python3-gi (>= 3.0),
-         gir1.2-glib-2.0
+         gir1.2-glib-2.0,
+         gir1.2-gstreamer-1.0 (>= 1.4.0),
+         gir1.2-gst-plugins-base-1.0 (>= 1.4.0)
+Provides: ${python:Provides}
 Description: GStreamer GObject Introspection overrides for Python (Python 3)
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do
@@ -67,6 +75,7 @@
          ${shlibs:Depends},
          ${misc:Depends},
          python-gst-1.0 (= ${binary:Version})
+Provides: ${python:Provides}
 Description: GStreamer GObject Introspection overrides for Python (debug extensions)
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do
@@ -83,10 +92,11 @@
 Priority: extra
 Section: debug
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${python3:Depends},
+Depends: ${python:Depends},
          ${shlibs:Depends},
          ${misc:Depends},
          python3-gst-1.0 (= ${binary:Version})
+Provides: ${python:Provides}
 Description: GStreamer GObject Introspection overrides for Python (Python 3, debug extensions)
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do

=== debian/rules ===
--- 
+++ 
@@ -28,6 +28,8 @@
 	    INST=debian/install-`echo $$x | sed 's/\.[0-9]*//'`; \
 	    dh_auto_install --builddirectory=build-$$x --destdir=$$INST; \
 	    find $$INST \( -name '*.pyc' -o -name '*.pyo' -o -name '*.la' \) -delete; \
+	    rm $$INST/usr/lib/*/gstreamer-1.0/libgstpythonplugin.*; \
+	    rmdir $$INST/usr/lib/*/gstreamer-1.0; \
 	done
 
 override_dh_auto_clean:

## gst-python1.0 1.6.0

=== debian/changelog ===
gst-python1.0 (1.6.0-1) unstable; urgency=medium

  [ Scott Kitterman ]
  * Fix python3 depends by using python3:Depends vice python:Depends so
    correct depends are generated (Closes: #799689).
  * Remove obsolete provides

  [ Sebastian Dröge ]
  * New upstream stable release.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 25 Sep 2015 18:23:04 +0200

gst-python1.0 (1.5.2-1) experimental; urgency=medium

  * New unstable upstream release.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 25 Jun 2015 10:04:30 +0200

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,12 @@
 Build-Depends: debhelper (>= 9),
                dpkg-dev (>= 1.16.1~),
                dh-autoreconf,
+               dh-python,
                pkg-config,
-               libgstreamer1.0-dev (>= 1.4.0),
-               libgstreamer-plugins-base1.0-dev (>= 1.4.0),
-               gir1.2-gstreamer-1.0 (>= 1.4.0),
-               gir1.2-gst-plugins-base-1.0 (>= 1.4.0),
+               libgstreamer1.0-dev (>= 1.6.0),
+               libgstreamer-plugins-base1.0-dev (>= 1.6.0),
+               gir1.2-gstreamer-1.0 (>= 1.6.0),
+               gir1.2-gst-plugins-base-1.0 (>= 1.6.0),
                python-gi-dev (>= 3.0),
                python-all-dev (>= 2.7),
                python3-all-dev,
@@ -30,9 +31,8 @@
          ${misc:Depends},
          python-gi (>= 3.0),
          gir1.2-glib-2.0,
-         gir1.2-gstreamer-1.0 (>= 1.4.0),
-         gir1.2-gst-plugins-base-1.0 (>= 1.4.0)
-Provides: ${python:Provides}
+         gir1.2-gstreamer-1.0 (>= 1.6.0),
+         gir1.2-gst-plugins-base-1.0 (>= 1.6.0)
 Description: GStreamer GObject Introspection overrides for Python
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do
@@ -47,14 +47,13 @@
 Package: python3-gst-1.0
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${python:Depends},
+Depends: ${python3:Depends},
          ${shlibs:Depends},
          ${misc:Depends},
          python3-gi (>= 3.0),
          gir1.2-glib-2.0,
-         gir1.2-gstreamer-1.0 (>= 1.4.0),
-         gir1.2-gst-plugins-base-1.0 (>= 1.4.0)
-Provides: ${python:Provides}
+         gir1.2-gstreamer-1.0 (>= 1.6.0),
+         gir1.2-gst-plugins-base-1.0 (>= 1.6.0)
 Description: GStreamer GObject Introspection overrides for Python (Python 3)
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do
@@ -75,7 +74,6 @@
          ${shlibs:Depends},
          ${misc:Depends},
          python-gst-1.0 (= ${binary:Version})
-Provides: ${python:Provides}
 Description: GStreamer GObject Introspection overrides for Python (debug extensions)
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do
@@ -96,7 +94,6 @@
          ${shlibs:Depends},
          ${misc:Depends},
          python3-gst-1.0 (= ${binary:Version})
-Provides: ${python:Provides}
 Description: GStreamer GObject Introspection overrides for Python (Python 3, debug extensions)
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do

=== debian/rules ===
--- 
+++ 
@@ -27,9 +27,7 @@
 	set -e && for x in $(FLAVOURS); do \
 	    INST=debian/install-`echo $$x | sed 's/\.[0-9]*//'`; \
 	    dh_auto_install --builddirectory=build-$$x --destdir=$$INST; \
-	    find $$INST \( -name '*.pyc' -o -name '*.pyo' -o -name '*.la' \) -delete; \
-	    rm $$INST/usr/lib/*/gstreamer-1.0/libgstpythonplugin.*; \
-	    rmdir $$INST/usr/lib/*/gstreamer-1.0; \
+	    find $$INST \( -name '*.pyc' -o -name '*.pyo' -o -name '*.la' -o -name 'libgstpythonplugin*' \) -delete; \
 	done
 
 override_dh_auto_clean:

## gst-python1.0 1.6.2

=== debian/changelog ===
gst-python1.0 (1.6.2-1build1) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Jan 2016 11:46:18 +0000

gst-python1.0 (1.6.2-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 14 Dec 2015 20:09:22 +0100

gst-python1.0 (1.6.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 30 Oct 2015 17:07:17 +0200

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
                dh-autoreconf,
                dh-python,
                pkg-config,
-               libgstreamer1.0-dev (>= 1.6.0),
-               libgstreamer-plugins-base1.0-dev (>= 1.6.0),
-               gir1.2-gstreamer-1.0 (>= 1.6.0),
-               gir1.2-gst-plugins-base-1.0 (>= 1.6.0),
+               libgstreamer1.0-dev (>= 1.6.2),
+               libgstreamer-plugins-base1.0-dev (>= 1.6.2),
+               gir1.2-gstreamer-1.0 (>= 1.6.2),
+               gir1.2-gst-plugins-base-1.0 (>= 1.6.2),
                python-gi-dev (>= 3.0),
                python-all-dev (>= 2.7),
                python3-all-dev,
@@ -31,8 +31,8 @@
          ${misc:Depends},
          python-gi (>= 3.0),
          gir1.2-glib-2.0,
-         gir1.2-gstreamer-1.0 (>= 1.6.0),
-         gir1.2-gst-plugins-base-1.0 (>= 1.6.0)
+         gir1.2-gstreamer-1.0 (>= 1.6.2),
+         gir1.2-gst-plugins-base-1.0 (>= 1.6.2)
 Description: GStreamer GObject Introspection overrides for Python
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do
@@ -52,8 +52,8 @@
          ${misc:Depends},
          python3-gi (>= 3.0),
          gir1.2-glib-2.0,
-         gir1.2-gstreamer-1.0 (>= 1.6.0),
-         gir1.2-gst-plugins-base-1.0 (>= 1.6.0)
+         gir1.2-gstreamer-1.0 (>= 1.6.2),
+         gir1.2-gst-plugins-base-1.0 (>= 1.6.2)
 Description: GStreamer GObject Introspection overrides for Python (Python 3)
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do

## gst-python1.0 1.8.1

=== debian/changelog ===
gst-python1.0 (1.8.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 20 Apr 2016 18:35:08 +0300

gst-python1.0 (1.8.0-1) unstable; urgency=medium

  * New upstream stable release:
    + debian/control:
      - Build-depend on GStreamer >= 1.8.0.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 24 Mar 2016 13:01:59 +0200

gst-python1.0 (1.7.91-1) experimental; urgency=medium

  * New upstream release candidate:
    + debian/control:
      - Build-depend on GStreamer >= 1.7.91.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 15 Mar 2016 12:32:13 +0200

gst-python1.0 (1.7.90-1) experimental; urgency=medium

  * New upstream release candidate:
    + debian/control:
      - Build-depend on GStreamer >= 1.7.90.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 01 Mar 2016 17:40:12 +0200

gst-python1.0 (1.7.2-1) experimental; urgency=medium

  * New upstream unstable release:
    + debian/control:
      - Build-depend on GStreamer >= 1.7.2.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 19 Feb 2016 12:03:02 +0200

gst-python1.0 (1.7.1-1) experimental; urgency=medium

  * New upstream unstable release:
    + debian/control:
      - Build-depend on GStreamer >= 1.7.1.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 24 Dec 2015 14:59:13 +0100

## gst-python1.0 1.8.2

=== debian/changelog ===
gst-python1.0 (1.8.2-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 09 Jun 2016 11:46:02 +0300

## gst-python1.0 1.8.3

=== debian/changelog ===
gst-python1.0 (1.8.3-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 19 Aug 2016 12:40:24 +0300

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
                dh-autoreconf,
                dh-python,
                pkg-config,
-               libgstreamer1.0-dev (>= 1.6.2),
-               libgstreamer-plugins-base1.0-dev (>= 1.6.2),
-               gir1.2-gstreamer-1.0 (>= 1.6.2),
-               gir1.2-gst-plugins-base-1.0 (>= 1.6.2),
+               libgstreamer1.0-dev (>= 1.8.0),
+               libgstreamer-plugins-base1.0-dev (>= 1.8.0),
+               gir1.2-gstreamer-1.0 (>= 1.8.0),
+               gir1.2-gst-plugins-base-1.0 (>= 1.8.0),
                python-gi-dev (>= 3.0),
                python-all-dev (>= 2.7),
                python3-all-dev,
@@ -31,8 +31,8 @@
          ${misc:Depends},
          python-gi (>= 3.0),
          gir1.2-glib-2.0,
-         gir1.2-gstreamer-1.0 (>= 1.6.2),
-         gir1.2-gst-plugins-base-1.0 (>= 1.6.2)
+         gir1.2-gstreamer-1.0 (>= 1.8.0),
+         gir1.2-gst-plugins-base-1.0 (>= 1.8.0)
 Description: GStreamer GObject Introspection overrides for Python
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do
@@ -52,8 +52,8 @@
          ${misc:Depends},
          python3-gi (>= 3.0),
          gir1.2-glib-2.0,
-         gir1.2-gstreamer-1.0 (>= 1.6.2),
-         gir1.2-gst-plugins-base-1.0 (>= 1.6.2)
+         gir1.2-gstreamer-1.0 (>= 1.8.0),
+         gir1.2-gst-plugins-base-1.0 (>= 1.8.0)
 Description: GStreamer GObject Introspection overrides for Python (Python 3)
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do

## gst-python1.0 1.10.0

=== debian/changelog ===
gst-python1.0 (1.10.0-1) unstable; urgency=medium

  * New upstream stable release.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 01 Nov 2016 18:05:03 +0200

gst-python1.0 (1.9.90-1) experimental; urgency=medium

  * New upstream unstable release:
    + debian/control:
      - Build-depend on GStreamer >= 1.9.90.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 30 Sep 2016 12:54:54 +0300

gst-python1.0 (1.9.2-1) experimental; urgency=medium

  * New upstream unstable release:
    + debian/control:
      - Build-depend on GStreamer >= 1.9.2.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 01 Sep 2016 12:22:45 +0300

gst-python1.0 (1.9.1-1) experimental; urgency=medium

  * New upstream unstable release:
    + debian/control:
      - Build-depend on GStreamer >= 1.9.1.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 06 Jul 2016 13:37:41 +0300

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
                dh-autoreconf,
                dh-python,
                pkg-config,
-               libgstreamer1.0-dev (>= 1.8.0),
-               libgstreamer-plugins-base1.0-dev (>= 1.8.0),
-               gir1.2-gstreamer-1.0 (>= 1.8.0),
-               gir1.2-gst-plugins-base-1.0 (>= 1.8.0),
+               libgstreamer1.0-dev (>= 1.10.0),
+               libgstreamer-plugins-base1.0-dev (>= 1.10.0),
+               gir1.2-gstreamer-1.0 (>= 1.10.0),
+               gir1.2-gst-plugins-base-1.0 (>= 1.10.0),
                python-gi-dev (>= 3.0),
                python-all-dev (>= 2.7),
                python3-all-dev,
@@ -31,8 +31,8 @@
          ${misc:Depends},
          python-gi (>= 3.0),
          gir1.2-glib-2.0,
-         gir1.2-gstreamer-1.0 (>= 1.8.0),
-         gir1.2-gst-plugins-base-1.0 (>= 1.8.0)
+         gir1.2-gstreamer-1.0 (>= 1.10.0),
+         gir1.2-gst-plugins-base-1.0 (>= 1.10.0)
 Description: GStreamer GObject Introspection overrides for Python
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do
@@ -52,8 +52,8 @@
          ${misc:Depends},
          python3-gi (>= 3.0),
          gir1.2-glib-2.0,
-         gir1.2-gstreamer-1.0 (>= 1.8.0),
-         gir1.2-gst-plugins-base-1.0 (>= 1.8.0)
+         gir1.2-gstreamer-1.0 (>= 1.10.0),
+         gir1.2-gst-plugins-base-1.0 (>= 1.10.0)
 Description: GStreamer GObject Introspection overrides for Python (Python 3)
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do

## gst-python1.0 1.10.3

=== debian/changelog ===
gst-python1.0 (1.10.3-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Mon, 30 Jan 2017 16:15:37 +0200

gst-python1.0 (1.10.2-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Tue, 29 Nov 2016 16:02:54 +0200

gst-python1.0 (1.10.1-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Thu, 17 Nov 2016 15:21:07 +0200

## gst-python1.0 1.10.4

=== debian/changelog ===
gst-python1.0 (1.10.4-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Thu, 23 Feb 2017 15:43:44 +0200

## gst-python1.0 1.11.91

=== debian/changelog ===
gst-python1.0 (1.11.91-1) experimental; urgency=medium

  * New upstream release canditate

 -- Sebastian Dröge <slomo@debian.org>  Thu, 27 Apr 2017 17:07:43 +0300

gst-python1.0 (1.11.90-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 07 Apr 2017 16:26:36 +0300

gst-python1.0 (1.11.2-1) experimental; urgency=medium

  * New development release

 -- Sebastian Dröge <slomo@debian.org>  Fri, 24 Feb 2017 14:57:11 +0200

gst-python1.0 (1.11.1-1) experimental; urgency=medium

  * New upstream development release.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 12 Jan 2017 15:34:18 +0200

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
                dh-autoreconf,
                dh-python,
                pkg-config,
-               libgstreamer1.0-dev (>= 1.10.0),
-               libgstreamer-plugins-base1.0-dev (>= 1.10.0),
-               gir1.2-gstreamer-1.0 (>= 1.10.0),
-               gir1.2-gst-plugins-base-1.0 (>= 1.10.0),
+               libgstreamer1.0-dev (>= 1.11.91),
+               libgstreamer-plugins-base1.0-dev (>= 1.11.91),
+               gir1.2-gstreamer-1.0 (>= 1.11.91),
+               gir1.2-gst-plugins-base-1.0 (>= 1.11.91),
                python-gi-dev (>= 3.0),
                python-all-dev (>= 2.7),
                python3-all-dev,
@@ -31,8 +31,8 @@
          ${misc:Depends},
          python-gi (>= 3.0),
          gir1.2-glib-2.0,
-         gir1.2-gstreamer-1.0 (>= 1.10.0),
-         gir1.2-gst-plugins-base-1.0 (>= 1.10.0)
+         gir1.2-gstreamer-1.0 (>= 1.11.91),
+         gir1.2-gst-plugins-base-1.0 (>= 1.11.91)
 Description: GStreamer GObject Introspection overrides for Python
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do
@@ -52,8 +52,8 @@
          ${misc:Depends},
          python3-gi (>= 3.0),
          gir1.2-glib-2.0,
-         gir1.2-gstreamer-1.0 (>= 1.10.0),
-         gir1.2-gst-plugins-base-1.0 (>= 1.10.0)
+         gir1.2-gstreamer-1.0 (>= 1.11.91),
+         gir1.2-gst-plugins-base-1.0 (>= 1.11.91)
 Description: GStreamer GObject Introspection overrides for Python (Python 3)
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do

## gst-python1.0 1.12.1

=== debian/changelog ===
gst-python1.0 (1.12.1-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Tue, 20 Jun 2017 11:57:26 +0300

gst-python1.0 (1.12.0-1) experimental; urgency=medium

  * New upstream stable release

 -- Sebastian Dröge <slomo@debian.org>  Thu, 04 May 2017 15:30:28 +0300

## gst-python1.0 1.12.3

=== debian/changelog ===
gst-python1.0 (1.12.3-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Mon, 18 Sep 2017 21:55:12 +0300

gst-python1.0 (1.12.2-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Fri, 14 Jul 2017 13:42:08 +0300

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
                dh-autoreconf,
                dh-python,
                pkg-config,
-               libgstreamer1.0-dev (>= 1.11.91),
-               libgstreamer-plugins-base1.0-dev (>= 1.11.91),
-               gir1.2-gstreamer-1.0 (>= 1.11.91),
-               gir1.2-gst-plugins-base-1.0 (>= 1.11.91),
+               libgstreamer1.0-dev (>= 1.12.0),
+               libgstreamer-plugins-base1.0-dev (>= 1.12.0),
+               gir1.2-gstreamer-1.0 (>= 1.12.0),
+               gir1.2-gst-plugins-base-1.0 (>= 1.12.0),
                python-gi-dev (>= 3.0),
                python-all-dev (>= 2.7),
                python3-all-dev,
@@ -31,8 +31,8 @@
          ${misc:Depends},
          python-gi (>= 3.0),
          gir1.2-glib-2.0,
-         gir1.2-gstreamer-1.0 (>= 1.11.91),
-         gir1.2-gst-plugins-base-1.0 (>= 1.11.91)
+         gir1.2-gstreamer-1.0 (>= 1.12.0),
+         gir1.2-gst-plugins-base-1.0 (>= 1.12.0)
 Description: GStreamer GObject Introspection overrides for Python
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do
@@ -52,8 +52,8 @@
          ${misc:Depends},
          python3-gi (>= 3.0),
          gir1.2-glib-2.0,
-         gir1.2-gstreamer-1.0 (>= 1.11.91),
-         gir1.2-gst-plugins-base-1.0 (>= 1.11.91)
+         gir1.2-gstreamer-1.0 (>= 1.12.0),
+         gir1.2-gst-plugins-base-1.0 (>= 1.12.0)
 Description: GStreamer GObject Introspection overrides for Python (Python 3)
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,10 @@
 
 include /usr/share/dpkg/default.mk
 include /usr/share/python/python.mk
+
+# Work-around for gtk-doc bug:
+# https://bugzilla.gnome.org/show_bug.cgi?id=783926
+export PYTHONIOENCODING="utf-8"
 
 PYVERS := $(shell pyversions --requested -v debian/control) $(shell py3versions --supported -v)
 FLAVOURS := $(PYVERS) $(patsubst %,%-dbg,$(PYVERS))

## gst-python1.0 1.13.1

=== debian/changelog ===
gst-python1.0 (1.13.1-1) experimental; urgency=medium

  * New upstream development release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 26 Feb 2018 21:14:25 +0200

gst-python1.0 (1.12.4-2) unstable; urgency=medium

  * debian/rules:
    + Also clean-up install directories
  * debian/rules,
    debian/control,
    debian/*.install:
    + Ship Python plugin loader for each build in a separate package that
      conflicts with all the others. There can only be one of the plugin
      loaders be installed at a time as otherwise the different Python
      versions would all be loaded into the same process.
      Previously the Python plugin loader was removed in version 1.4.0-2.

      It is currently only shipped for the non-debug Python 3 build, as there
      are some problems with the upstream code in debug builds and it does not
      work with Python 2. Python 2 support will also likely be dropped with
      the next upstream release (in general).
  * debian/control:
    + Use python3:Depends for the Python3 packages.
    + Fix-up dependencies of the -dbg packages.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 23 Jan 2018 17:54:17 +0200

gst-python1.0 (1.12.4-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Thu, 07 Dec 2017 19:53:31 +0200

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
                dh-autoreconf,
                dh-python,
                pkg-config,
-               libgstreamer1.0-dev (>= 1.12.0),
-               libgstreamer-plugins-base1.0-dev (>= 1.12.0),
-               gir1.2-gstreamer-1.0 (>= 1.12.0),
-               gir1.2-gst-plugins-base-1.0 (>= 1.12.0),
+               libgstreamer1.0-dev (>= 1.13.1),
+               libgstreamer-plugins-base1.0-dev (>= 1.13.1),
+               gir1.2-gstreamer-1.0 (>= 1.13.1),
+               gir1.2-gst-plugins-base-1.0 (>= 1.13.1),
                python-gi-dev (>= 3.0),
                python-all-dev (>= 2.7),
                python3-all-dev,
@@ -31,8 +31,8 @@
          ${misc:Depends},
          python-gi (>= 3.0),
          gir1.2-glib-2.0,
-         gir1.2-gstreamer-1.0 (>= 1.12.0),
-         gir1.2-gst-plugins-base-1.0 (>= 1.12.0)
+         gir1.2-gstreamer-1.0 (>= 1.13.1),
+         gir1.2-gst-plugins-base-1.0 (>= 1.13.1)
 Description: GStreamer GObject Introspection overrides for Python
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do
@@ -52,8 +52,8 @@
          ${misc:Depends},
          python3-gi (>= 3.0),
          gir1.2-glib-2.0,
-         gir1.2-gstreamer-1.0 (>= 1.12.0),
-         gir1.2-gst-plugins-base-1.0 (>= 1.12.0)
+         gir1.2-gstreamer-1.0 (>= 1.13.1),
+         gir1.2-gst-plugins-base-1.0 (>= 1.13.1)
 Description: GStreamer GObject Introspection overrides for Python (Python 3)
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do
@@ -73,7 +73,10 @@
 Depends: ${python:Depends},
          ${shlibs:Depends},
          ${misc:Depends},
-         python-gst-1.0 (= ${binary:Version})
+         python-gi (>= 3.0),
+         gir1.2-glib-2.0,
+         gir1.2-gstreamer-1.0 (>= 1.13.1),
+         gir1.2-gst-plugins-base-1.0 (>= 1.13.1)
 Description: GStreamer GObject Introspection overrides for Python (debug extensions)
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do
@@ -90,10 +93,13 @@
 Priority: extra
 Section: debug
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${python:Depends},
+Depends: ${python3:Depends},
          ${shlibs:Depends},
          ${misc:Depends},
-         python3-gst-1.0 (= ${binary:Version})
+         python3-gi (>= 3.0),
+         gir1.2-glib-2.0,
+         gir1.2-gstreamer-1.0 (>= 1.13.1),
+         gir1.2-gst-plugins-base-1.0 (>= 1.13.1)
 Description: GStreamer GObject Introspection overrides for Python (Python 3, debug extensions)
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do
@@ -105,3 +111,42 @@
  This package contains GObject Introspection overrides for Python that
  can be used by Python applications using GStreamer.
 
+Package: gstreamer1.0-python3-plugin-loader
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${python3:Depends},
+         ${shlibs:Depends},
+         ${misc:Depends},
+         python3-gi (>= 3.0),
+         python3-gst-1.0 (= ${binary:Version})
+Conflicts: gstreamer1.0-python-plugin-loader, gstreamer1.0-python-dbg-plugin-loader, gstreamer1.0-python3-dbg-plugin-loader
+Description: GStreamer Loader for Python Plugin (Python 3)
+ GStreamer is a streaming media framework, based on graphs of filters
+ which operate on media data.  Applications using this library can do
+ anything from real-time sound processing to playing videos, and just
+ about anything else media-related.  Its plugin-based architecture means
+ that new data types or processing capabilities can be added simply by
+ installing new plug-ins.
+ .
+ This package contains the Python 3 version of the Python plugin loader,
+ which allows GStreamer plugins to be written in Python.
+
+Package: gstreamer1.0-python3-dbg-plugin-loader
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${python3:Depends},
+         ${shlibs:Depends},
+         ${misc:Depends},
+         python3-gi (>= 3.0),
+         python3-gst-1.0-dbg (= ${binary:Version})
+Conflicts: gstreamer1.0-python-plugin-loader, gstreamer1.0-python-dbg-plugin-loader, gstreamer1.0-python3-plugin-loader
+Description: GStreamer Loader for Python Plugin (Python 3, debug extensions)
+ GStreamer is a streaming media framework, based on graphs of filters
+ which operate on media data.  Applications using this library can do
+ anything from real-time sound processing to playing videos, and just
+ about anything else media-related.  Its plugin-based architecture means
+ that new data types or processing capabilities can be added simply by
+ installing new plug-ins.
+ .
+ This package contains the Python 3 version of the Python plugin loader,
+ which allows GStreamer plugins to be written in Python.

## gst-python1.0 1.13.91

=== debian/changelog ===
gst-python1.0 (1.13.91-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 14 Mar 2018 11:19:27 +0200

gst-python1.0 (1.13.90-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 05 Mar 2018 10:31:34 +0200

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
                dh-autoreconf,
                dh-python,
                pkg-config,
-               libgstreamer1.0-dev (>= 1.13.1),
-               libgstreamer-plugins-base1.0-dev (>= 1.13.1),
-               gir1.2-gstreamer-1.0 (>= 1.13.1),
-               gir1.2-gst-plugins-base-1.0 (>= 1.13.1),
+               libgstreamer1.0-dev (>= 1.13.91),
+               libgstreamer-plugins-base1.0-dev (>= 1.13.91),
+               gir1.2-gstreamer-1.0 (>= 1.13.91),
+               gir1.2-gst-plugins-base-1.0 (>= 1.13.91),
                python-gi-dev (>= 3.0),
                python-all-dev (>= 2.7),
                python3-all-dev,
@@ -31,8 +31,8 @@
          ${misc:Depends},
          python-gi (>= 3.0),
          gir1.2-glib-2.0,
-         gir1.2-gstreamer-1.0 (>= 1.13.1),
-         gir1.2-gst-plugins-base-1.0 (>= 1.13.1)
+         gir1.2-gstreamer-1.0 (>= 1.13.91),
+         gir1.2-gst-plugins-base-1.0 (>= 1.13.91)
 Description: GStreamer GObject Introspection overrides for Python
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do
@@ -52,8 +52,8 @@
          ${misc:Depends},
          python3-gi (>= 3.0),
          gir1.2-glib-2.0,
-         gir1.2-gstreamer-1.0 (>= 1.13.1),
-         gir1.2-gst-plugins-base-1.0 (>= 1.13.1)
+         gir1.2-gstreamer-1.0 (>= 1.13.91),
+         gir1.2-gst-plugins-base-1.0 (>= 1.13.91)
 Description: GStreamer GObject Introspection overrides for Python (Python 3)
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do
@@ -75,8 +75,8 @@
          ${misc:Depends},
          python-gi (>= 3.0),
          gir1.2-glib-2.0,
-         gir1.2-gstreamer-1.0 (>= 1.13.1),
-         gir1.2-gst-plugins-base-1.0 (>= 1.13.1)
+         gir1.2-gstreamer-1.0 (>= 1.13.91),
+         gir1.2-gst-plugins-base-1.0 (>= 1.13.91)
 Description: GStreamer GObject Introspection overrides for Python (debug extensions)
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do
@@ -98,8 +98,8 @@
          ${misc:Depends},
          python3-gi (>= 3.0),
          gir1.2-glib-2.0,
-         gir1.2-gstreamer-1.0 (>= 1.13.1),
-         gir1.2-gst-plugins-base-1.0 (>= 1.13.1)
+         gir1.2-gstreamer-1.0 (>= 1.13.91),
+         gir1.2-gst-plugins-base-1.0 (>= 1.13.91)
 Description: GStreamer GObject Introspection overrides for Python (Python 3, debug extensions)
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do

## gst-python1.0 1.14.0

=== debian/changelog ===
gst-python1.0 (1.14.0-1) unstable; urgency=medium

  * New upstream stable release.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 20 Mar 2018 10:21:35 +0200

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
                dh-autoreconf,
                dh-python,
                pkg-config,
-               libgstreamer1.0-dev (>= 1.13.91),
-               libgstreamer-plugins-base1.0-dev (>= 1.13.91),
-               gir1.2-gstreamer-1.0 (>= 1.13.91),
-               gir1.2-gst-plugins-base-1.0 (>= 1.13.91),
+               libgstreamer1.0-dev (>= 1.14.0),
+               libgstreamer-plugins-base1.0-dev (>= 1.14.0),
+               gir1.2-gstreamer-1.0 (>= 1.14.0),
+               gir1.2-gst-plugins-base-1.0 (>= 1.14.0),
                python-gi-dev (>= 3.0),
                python-all-dev (>= 2.7),
                python3-all-dev,
@@ -31,8 +31,8 @@
          ${misc:Depends},
          python-gi (>= 3.0),
          gir1.2-glib-2.0,
-         gir1.2-gstreamer-1.0 (>= 1.13.91),
-         gir1.2-gst-plugins-base-1.0 (>= 1.13.91)
+         gir1.2-gstreamer-1.0 (>= 1.14.0),
+         gir1.2-gst-plugins-base-1.0 (>= 1.14.0)
 Description: GStreamer GObject Introspection overrides for Python
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do
@@ -52,8 +52,8 @@
          ${misc:Depends},
          python3-gi (>= 3.0),
          gir1.2-glib-2.0,
-         gir1.2-gstreamer-1.0 (>= 1.13.91),
-         gir1.2-gst-plugins-base-1.0 (>= 1.13.91)
+         gir1.2-gstreamer-1.0 (>= 1.14.0),
+         gir1.2-gst-plugins-base-1.0 (>= 1.14.0)
 Description: GStreamer GObject Introspection overrides for Python (Python 3)
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do
@@ -75,8 +75,8 @@
          ${misc:Depends},
          python-gi (>= 3.0),
          gir1.2-glib-2.0,
-         gir1.2-gstreamer-1.0 (>= 1.13.91),
-         gir1.2-gst-plugins-base-1.0 (>= 1.13.91)
+         gir1.2-gstreamer-1.0 (>= 1.14.0),
+         gir1.2-gst-plugins-base-1.0 (>= 1.14.0)
 Description: GStreamer GObject Introspection overrides for Python (debug extensions)
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do
@@ -98,8 +98,8 @@
          ${misc:Depends},
          python3-gi (>= 3.0),
          gir1.2-glib-2.0,
-         gir1.2-gstreamer-1.0 (>= 1.13.91),
-         gir1.2-gst-plugins-base-1.0 (>= 1.13.91)
+         gir1.2-gstreamer-1.0 (>= 1.14.0),
+         gir1.2-gst-plugins-base-1.0 (>= 1.14.0)
 Description: GStreamer GObject Introspection overrides for Python (Python 3, debug extensions)
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do
